/*
 *  hr-HR (Croatian) Dictionary Installer
 *  install.js
 */

var extName = "Croatian Dictionary (Hrvatski Rjecnik)";
var extID   = "hr-HR-2@dictionaries.addons.mozilla.org";
var extVer  = "1.0.6";

var err = initInstall(extName, extID, extVer);

if (err != SUCCESS)
    cancelInstall();

var fProgram = getFolder("Program");

err = addDirectory(
            "",
            extID,
            "dictionaries",
            fProgram,
            "dictionaries",
            true
            );

if (err != SUCCESS)
{
    cancelInstall();
    alert(
        "The install of \"" + extName + "\" has failed.\n" +
        "Administrative rights are required to install a global dictionary."
        );
}
else
{
    performInstall();
    alert(
        "\"" + extName + "\" has been successfully installed.\n" +
        "Restart your browser, and check for your new dictionary by\n" +
        "right-clicking on a text entry field."
        );
}